Skip to main content
GET
/
workspace
/
tokens
List of API tokens globally
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/tokens \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 2,
  "data": [
    {
      "id": "<string>",
      "name": "cli_activation",
      "description": "<string>",
      "abilities": [
        "<string>"
      ],
      "timestamp": {
        "created_at": "<string>",
        "last_used_at": "<string>",
        "expires_at": "<string>",
        "expires_at_mins": 123,
        "requested_at": "<string>"
      },
      "_embedded": [
        "<string>"
      ],
      "_links": {
        "self": "<string>"
      }
    }
  ],
  "first_page_url": "<string>",
  "from": 2,
  "last_page_url": "<string>",
  "last_page": 2,
  "links": [
    {
      "url": "<string>",
      "label": "<string>",
      "active": true
    }
  ],
  "next_page_url": "<string>",
  "path": "<string>",
  "per_page": 1,
  "prev_page_url": "<string>",
  "to": 2,
  "total": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[size]
integer
default:500

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[id]
string
filter[refresh_token_id]
string
filter[workspace_device_id]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

filter[name]
enum<string>

Filter by an exact match of the token type

cli_activation
CLI Activation Token
cli_access
CLI Access Token
cli_refresh
CLI Refresh Token
personal_access
Personal Access Token
svc_access
Service Account Access Token
Available options:
cli_activation,
cli_access,
cli_refresh,
personal_access,
svc_access

Response

Paginated set of WorkspaceTokenDetailedResponseData

current_page
integer
required
Required range: x >= 1
data
WorkspaceTokenDetailedResponseData · object[]
required
first_page_url
string | null
required
from
integer | null
required
Required range: x >= 1
last_page_url
string | null
required
last_page
integer
required
Required range: x >= 1

Generated paginator links.

next_page_url
string | null
required
path
string | null
required

Base path for paginator generated URLs.

per_page
integer
required

Number of items shown per page.

Required range: x >= 0
prev_page_url
string | null
required
to
integer | null
required

Number of the last item in the slice.

Required range: x >= 1
total
integer
required

Total number of items being paginated.

Required range: x >= 0